Subject: [bitcoin-dev] Reducing energy consumption and increasing security at the same time

From: Cheng Wang <[email-masked]>
Date: Sun, 8 Dec 2019 11:43:49 +0100

Hi Everyone,

I would like to share my serious work on reducing the energy consumption of
PoW without sacrificing security. My new type of algorithm is called PoLW.
For a practical system where mining is profitable, PoLW could actually
improve the security of the system.

The idea is to shift part of the external cost of mining in the physical
world (mainly energy consumption) to the internal cost of the network. In
PoLW, the miners are able to give up part of the coinbase reward so as to
get weight (> 1) for the block hash they produce. The total cost of
generating a new block would still be equal to maximal coinbase reward in
equilibrium.

I analyzed two algorithms in the paper: linear PoLW and exponential PoLW.
Linear PoLW could reduce energy consumption by a factor close to 1/2 in
equilibrium, while exponential PoLW could reduce energy consumption by an
arbitrary factor in equilibrium.

In a practical system, mining is usually (if not always) profitable. If we
transition from PoW to PoLW, the external costs of mining would decrease
and the internal costs will increase. However, the decrease in external
costs would be less than the increase in internal costs since mining is
profitable. The total cost of block generation would get higher, therefore,
the security will increase.

Of course, we could not decrease the external costs of any existing system
by a factor close to zero immediately. There is a section in my paper
discussing this particularly. The principle of applying PoLW is that
keeping the absolute external cost increasing all the time, but the
percentage of external cost in the total cost gets lower eventually.

This work is based on solid math calculation, and I am looking forward to
feedback and discussions. My paper is available at:
https://github.com/alephium/research/raw/master/polw.pdf

It's inspired by the recent great paper of Itay, Alexander, and Ittay:
https://arxiv.org/abs/1911.04124

Best,
Cheng Wang